/******************************************************************************/
/* * Morse library examples.                                                  */
/* * Using the built in LED (usually pin 13).                                 */
/*                                                                            */
/* Revision log                                                               */
/* -------------------------------------------------------------------------- */
/* A00 - 2019.01.01 - JOO: Original version.                                  */
/******************************************************************************/
#include <Morse.h>

Morse morse;                // Declare the morse object

void setup()
{
  morse.begin(LED_BUILTIN); // Initialize morse output pin
}

void loop()
{
  // Send the morse code for "SOS"
  morse.dot();
  morse.dot();
  morse.dot();
  morse.dash();
  morse.dash();
  morse.dash();
  morse.dot();
  morse.dot();
  morse.dot();

  morse.wait(M_DURATION_LETTER);
  
  morse.dot();
  morse.dot();
  morse.dot();
  morse.dash();
  morse.dash();
  morse.dash();
  morse.dot();
  morse.dot();
  morse.dot();

  delay(5000);
}
